Bug 846219 - qperf: sctp_bw/sctp_lat with option socket_buf_size given failed with "Failed to set send buffer size on socket: Permission denied"
qperf: sctp_bw/sctp_lat with option socket_buf_size given failed with "Failed...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qperf (Show other bugs)
5.9
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Doug Ledford
Infiniband QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 04:17 EDT by hali
Modified: 2013-03-07 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 13:17:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hali 2012-08-07 04:17:00 EDT
Description of problem:
if qperf sctp_bw/sctp_lat was given --sock_buf_size options, it would failed with message "server: Failed to set send buffer size on socket: Permission denied"

Version-Release number of selected component (if applicable):
qperf-0.4.6-1.el5
kernel-2.6.18-333.el5
RHEL5.9-Server-20120806.0.n

How reproducible:
100%

Steps to Reproduce:
1. server side:
qperf
2. client side
[root@rdma1 ~]# qperf -sb 2K 172.31.1.2 sctp_bw
sctp_bw:
server: Failed to set send buffer size on socket: Permission denied
[root@rdma1 ~]# qperf -sb 256 172.31.1.2 sctp_bw
sctp_bw:
server: Failed to set send buffer size on socket: Permission denied
[root@rdma1 ~]# qperf -sb 256 172.31.1.2 sctp_lat
sctp_lat:
server: Failed to set send buffer size on socket: Permission denied
[root@rdma1 ~]# qperf -sb 2K 172.31.1.2 sctp_lat
sctp_lat:
server: Failed to set send buffer size on socket: Permission denied
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2012-08-07 04:28:46 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Doug Ledford 2012-08-08 13:17:31 EDT
sctp tests are not supported in qperf on rhel5.

Note You need to log in before you can comment on or make changes to this bug.